For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList pending skill proposals
      • POSTApprove a skill proposal
      • POSTReject a skill proposal
Dashboard
LogoLogo
Runtype APISkill Proposals

Approve a skill proposal

POST
/v1/skill-proposals/:id/approve
POST
/v1/skill-proposals/:id/approve
$curl -X POST https://api.runtype.com/v1/skill-proposals/id/approve \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}

Approve a pending proposal — publishes the proposed skill version.

Was this page helpful?
Previous

Reject a skill proposal

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Approved

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error